import { DetectionResult } from "./NSFWDetector.types";
/**
 * Detects whether an image is NSFW or not.
 * @param uri URI of the file to analyze. Should be on the local file system or a base64 data URI.
 * @param threshold Value when an image is considered NSFW. Range is 0.0 to 1.0. Defaults to 0.9.
 * @return Promise which fulfils with [`DetectionResult`](#detectionresult) object.
 */
export declare function detectAsync(uri: string, threshold?: number): Promise<DetectionResult>;
export * from "./NSFWDetector.types";
