export function validateArguments(uri, threshold) {
    validateUri(uri);
    if (threshold) {
        validateThreshold(threshold);
    }
}
export function validateUri(uri) {
    if (!(typeof uri === "string")) {
        throw new TypeError('The "uri" argument must be a string');
    }
}
export function validateThreshold(value) {
    if (!(typeof value === "number" && value >= 0 && value <= 1)) {
        throw new TypeError('The "threshold" argument must be a number between 0.0 and 1.0');
    }
}
//# sourceMappingURL=validators.js.map